|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QStyleOptionComplex Class Reference

The QStyleOptionComplex class is used to hold parameters that are common to all complex controls. More...

    #include <QStyleOptionComplex>

Part of the QtGui module.

Inherits QStyleOption.

Inherited by QStyleOptionComboBox, QStyleOptionQ3ListView, QStyleOptionSlider, QStyleOptionSpinBox, QStyleOptionTitleBar, and QStyleOptionToolButton.

- List of all members, including inherited members

### Properties

- activeSubControls : const QStyle::SubControls
- subControls : const QStyle::SubControls

- 5 properties inherited from QStyleOption

### Public Functions

- QStyleOptionComplex ( int version = QStyleOptionComplex::Version, int type = SO_Complex )
- QStyleOptionComplex ( const QStyleOptionComplex & other )

- 2 public functions inherited from QStyleOption

## Detailed Description

The QStyleOptionComplex class is used to hold parameters that are common to all complex controls.

This class is not used on its own. Instead it is used to derive other complex control options, for example QStyleOptionSlider and QStyleOptionSpinBox.

## Property Documentation

### activeSubControls : const QStyle::SubControls

This property holds the sub-controls that are active for the complex control.

This a bitwise OR of the various sub-controls that are active (pressed) for the complex control.

See also QStyle::SubControl.

### subControls : const QStyle::SubControls

This property holds the sub-controls that need to be painted.

This is a bitwise OR of the various sub-controls that need to be drawn for the complex control.

See also QStyle::SubControl.

## Member Function Documentation

### QStyleOptionComplex::QStyleOptionComplex ( int version = QStyleOptionComplex::Version, int type = SO_Complex )

Constructs a QStyleOptionComplex of type type and version version. Usually this constructor is called by subclasses.

The subControls member is initialized to QStyle::SC_All. The activeSubControls member is initialized to QStyle::SC_None.

### QStyleOptionComplex::QStyleOptionComplex ( const QStyleOptionComplex & other )